license_plate_api_finland
====================

Dart-paketti teknisten yksityiskohtien etsimiseksi ajoneuvoista, jotka on rekisteroity suomeen niiden rekisterikilven perusteella

`license_plate_api_finland` tarjoaa yksinkertaisen tavan loytaa ajoneuvotiedot rekisterikilvesta (rekisterinumero)
suomessa rekisteroidysta autosta

Tama edellyttaa kayttajanimea ja salasanaa, jotka ovat ilmaiseksi saatavissa osoitteesta http://www.rekisterinumeroapi.com/

## English

A Dart package for looking up technical details on vehicles registered in finland by their license plate

`license_plate_api_finland` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in finland

This requires a username and password, which is available for free from http://www.rekisterinumeroapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_finland/license_plate_api_finland.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.rekisterinumeroapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.rekisterinumeroapi.com/
